Shell (Hyperic HQ Plugin API)
Keywords: org.hyperic.ui.tapestry.components.general.Shell class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.ui.tapestry.components.general
Class Shell

    java.lang.Object
      org.apache.hivemind.impl.BaseLocatable
          org.apache.tapestry.AbstractComponent
              org.apache.tapestry.html.Shell
                  org.hyperic.ui.tapestry.components.general.Shell

All Implemented Interfaces:
  org.apache.hivemind.Locatable, org.apache.hivemind.LocationHolder, org.apache.tapestry.IComponent, org.apache.tapestry.IDirectEvent, org.apache.tapestry.internal.Component, org.apache.tapestry.IRender

    public abstract class Shell

extends org.apache.tapestry.html.Shell

Field Summary
`static java.lang.String` | `SHELL_ATTRIBUTE`

Fields inherited from class org.apache.tapestry.AbstractComponent
`_body, _bodyCount`

Constructor Summary
`Shell()`

Method Summary
`protected void` | `cleanupAfterRender(org.apache.tapestry.IRequestCycle cycle)`
`abstract org.apache.tapestry.IRender` | `getAfterDelegate()`
`protected void` | `renderComponent(org.apache.tapestry.IMarkupWriter writer, org.apache.tapestry.IRequestCycle cycle)`
`abstract void` | `setAfterDelegate(org.apache.tapestry.IRender delegate)`

Methods inherited from class org.apache.tapestry.html.Shell
`addRelation, get, getAjaxDelegate, getApplicationSpecification, getBaseTagWriter, getBuilder, getContentBuffer, getDelegate, getDoctype, getPageService, getRaw, getRefresh, getRelations, getRenderBaseTag, getRenderContentType, getSearchIds, getStylesheet, getStylesheets, getTitle, getValueConverter, includeAdditionalContent, isDisableCaching, isDisableTapestryMeta, setContentBuffer, setRelations, setSearchIds`

Methods inherited from class org.apache.tapestry.AbstractComponent
`addAsset, addBody, addComponent, checkActiveLock, enterActiveState, equals, finishLoad, finishLoad, generateClientId, getAsset, getAssets, getBeans, getBinding, getBindingNames, getBindings, getBody, getBodyCount, getBoundId, getClientId, getComponent, getComponents, getContainedComponent, getContainedRenderers, getContainer, getEventInvoker, getExtendedId, getId, getIdPath, getInnerRenderers, getListeners, getMessages, getNamespace, getPage, getRenderWorker, getSpecification, getSpecifiedId, getTemplateTagName, hasEvents, hashCode, isInActiveState, isParameterBound, isRendering, isStateful, pageEndRender, peekClientId, prepareForRender, render, renderBody, renderIdAttribute, renderInformalParameters, setBinding, setClientId, setContainedComponent, setContainer, setHasEvents, setId, setNamespace, setPage, setTemplateTagName, toString, triggerEvent`

Methods inherited from class org.apache.hivemind.impl.BaseLocatable
`getLocation, setLocation`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.hivemind.LocationHolder
`setLocation`

Methods inherited from interface org.apache.hivemind.Locatable
`getLocation`

Field Detail

### SHELL_ATTRIBUTE

    public static final java.lang.String SHELL_ATTRIBUTE

See Also:
  Constant Field Values

Constructor Detail

### Shell

    public Shell()

Method Detail

### getAfterDelegate

    public abstract org.apache.tapestry.IRender getAfterDelegate()

### setAfterDelegate

    public abstract void setAfterDelegate(org.apache.tapestry.IRender delegate)

### renderComponent

    protected void renderComponent(org.apache.tapestry.IMarkupWriter writer,
                                   org.apache.tapestry.IRequestCycle cycle)

  Overrides:
    `renderComponent` in class `org.apache.tapestry.html.Shell`

### cleanupAfterRender

    protected void cleanupAfterRender(org.apache.tapestry.IRequestCycle cycle)

  Overrides:
    `cleanupAfterRender` in class `org.apache.tapestry.html.Shell`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.